## org.eclipse.uml2.uml.editor.actions
Class UMLCommandAction.RefreshingChangeCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.ChangeCommand
              org.eclipse.uml2.common.edit.command.ChangeCommand
                  org.eclipse.uml2.uml.editor.actions.UMLCommandAction.RefreshingChangeCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command

Enclosing class:
  UMLCommandAction

    protected class UMLCommandAction.RefreshingChangeCommand

extends ChangeCommand

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.edit.command.ChangeCommand
`changeDescription, changeRecorder, notifier, notifiers`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`UMLCommandAction.RefreshingChangeCommand(org.eclipse.emf.edit.domain.EditingDomain editingDomain, java.lang.Runnable runnable, java.lang.String label)`

Method Summary
`void` `execute()`
`void` `redo()`
`void` `undo()`

Methods inherited from class org.eclipse.uml2.common.edit.command.ChangeCommand
`doExecute, getEditingDomain, getRunnable`

Methods inherited from class org.eclipse.emf.edit.command.ChangeCommand
`canUndo, createChangeRecorder, dispose, disposeChangeRecorder, getChangeDescription, getChangeRecorder, prepare, setChangeDescription`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, getAffectedObjects, getDescription, getLabel, getResult, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UMLCommandAction.RefreshingChangeCommand

    public UMLCommandAction.RefreshingChangeCommand(org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                                                    java.lang.Runnable runnable,
                                                    java.lang.String label)

Method Detail

### execute

    public void execute()

  Specified by:
    `execute` in interface `org.eclipse.emf.common.command.Command`
  Overrides:
    `execute` in class `org.eclipse.emf.edit.command.ChangeCommand`

### undo

    public void undo()

  Specified by:
    `undo` in interface `org.eclipse.emf.common.command.Command`
  Overrides:
    `undo` in class `org.eclipse.emf.edit.command.ChangeCommand`

### redo

    public void redo()

  Specified by:
    `redo` in interface `org.eclipse.emf.common.command.Command`
  Overrides:
    `redo` in class `org.eclipse.emf.edit.command.ChangeCommand`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.